Audit log field too small - PGError while creating OS with 255 characters in name

07/16/2014 09:12 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Audit Log   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1120181 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1593

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1120181

Description of problem:

I was trying boundary test and input a name of 255 characters and got an error on UI:

PGError: ERROR: value too long for type character varying(255) : INSERT INTO "audits" ("action", "associated_id",

"associated_name", "associated_type", "auditable_id", "auditable_name", "auditable_type", "audited_changes", "comment",

"created_at", "remote_address", "user_id", "user_type", "username", "version") VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11,

$12, $13, $14, $15) RETURNING "id"

Version-Release number of selected component (if applicable):

candlepin-0.9.19-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.19-1.el6_5.noarch

candlepin-tomcat6-0.9.19-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.21-1.el6sat.noarch

foreman-compute-1.6.0.21-1.el6sat.noarch

foreman-gce-1.6.0.21-1.el6sat.noarch

foreman-libvirt-1.6.0.21-1.el6sat.noarch

foreman-ovirt-1.6.0.21-1.el6sat.noarch

foreman-postgresql-1.6.0.21-1.el6sat.noarch

foreman-proxy-1.6.0.9-1.el6sat.noarch

foreman-selinux-1.6.0-5.el6sat.noarch

foreman-vmware-1.6.0.21-1.el6sat.noarch

katello-1.5.0-26.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.53-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch

pulp-selinux-2.4.0-0.23.beta.el6sat.noarch

pulp-server-2.4.0-0.23.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

rubygem-hammer_cli-0.1.1-5.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.1-9.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.4-7.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1. create OS with 255 characters in name

2.

3.

Actual results:

PGError: ERROR: value too long for type character varying(255) : INSERT INTO "audits" ("action", "associated_id",

"associated_name", "associated_type", "auditable_id", "auditable_name", "auditable_type", "audited_changes", "comment",

"created_at", "remote_address", "user_id", "user_type", "username", "version") VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11,

$12, $13, $14, $15) RETURNING "id"

Expected results:

A proper validation error should be raised with characters limit if limit exceeds 255 char.

Additional info:

production.log:

Processing by OperatingsystemsController#create as */*

Parameters: {"utf8"=>"✓", "search"=>"", "authenticity_token"=>"clydbCf5GuLU0YIYbdglJJVF0MSJYDNyvaeibEvu9Tw=",

"operatingsystem"=>{"name"=>"yodWSsEDLYtoNf21xwtCJPZOYHm4qDCMyf4ogBe0Kxs7tQyxzaJuOn3F6EUwy6WnVaIoB0wVOS

DX3fMgmMqkeMl9pzlPGep343XaMX7W35roCJXRPuEROmuANs8Ajxipetk93FnbDyTSR4zClj0lt9dcmEppe3a9Tdzm9b5aNEyNSdO

2GFIKcFqgwX8qKFaNAGsl5qe2ULHVvJEhPyOQKNs6iBbhJxZP9qF9LtB2aHjKerX4cTCsUZoNLp8aR5M", "major"=>"2",

"minor"=>"5", "description"=>"", "family"=>"Redhat", "release_name"=>"", "architecture_ids"=>["2", "", "", ""], "ptable_ids"=>[""],

"medium_ids"=>[""]}}

Operation FAILED: PGError: ERROR:  value too long for type character varying(255)

: INSERT INTO "audits" ("action", "associated_id", "associated_name", "associated_type", "auditable_id", "auditable_name",

"auditable_type", "audited_changes", "comment", "created_at", "remote_address", "user_id", "user_type", "username", "version")

VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11, $12, $13, $14, $15) RETURNING "id"

Rendered common/500.html.erb (18.5ms)

Completed 500 Internal Server Error in 81ms (Views: 20.2ms | ActiveRecord: 8.3ms)

Related issues:

Related to Foreman - Bug #6658: creating compute resource with name more than... Duplicate 07/17/2014

Associated revisions

Revision 3034e8e2 - 07/31/2014 06:00 AM - Ori Rabin

fixes #6636, #6657, #6694 - add field length validations, extend audit field length

History

#1 - 07/17/2014 03:32 AM - Ori Rabin

- Status changed from New to Ready For Testing

#2 - 07/17/2014 06:39 AM - The Foreman Bot

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1593 added

- Pull request deleted ()

#3 - 07/21/2014 04:15 AM - Dominic Cleal

- Category set to Audit Log

#4 - 07/24/2014 07:01 AM - Dominic Cleal

- Related to Bug #6658: creating compute resource with name more than 245 chars fails added

#5 - 07/29/2014 05:58 AM - Dominic Cleal
- Subject changed from PGError while creating OS with 255 characters in name to Audit log field too small - PGError while creating OS with 255

characters in name

#6 - 07/30/2014 06:50 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#7 - 07/31/2014 05:58 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#8 - 07/31/2014 06:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3034e8e28302eab858fa43b71136212350396808.
